module RCM
  class File
    attr_accessor :path, :owner, :group, :mode, :checksum

    def ==(other)
      return false unless other.is_a?(RCM::File)

      @path == other.path &&
          @owner == other.owner &&
          @group == other.group &&
          @mode == other.mode &&
          @checksum == other.checksum
    end

    def initialize(path, owner, group, mode, checksum)
      @path = path
      @owner = owner
      @group = group
      @mode = mode
      @checksum = checksum
    end

    def to_s
      "Path = #{@path}\n" +
      "Owner = #{@owner}\n" +
      "Group = #{@group}\n" +
      "Mode = #{@mode}\n" +
      "Checksum = #{@checksum}"
    end
  end
end
