module RCM
  class Service
    attr_accessor :name, :installed, :definition_path, :running, :enabled, :depends

    def ==(other)
      return false unless other.is_a?(RCM::Service)

      @name == other.name && @installed == other.installed && @definition_path == other.definition_path &&
          @running == other.running && @enabled == other.enabled
    end

    def initialize(name, installed, definition_path, running, enabled)
      @name = name
      @installed = installed
      @definition_path = definition_path
      @running = running
      # Enabled to run on startup (SystemD-esque definition)
      @enabled = enabled
    end

    def to_s
      "Name = #{@name}\n" +
          "Installed = #{@installed}\n" +
          "Definition Path = #{@definition_path}\n" +
          "Running = #{@running}\nStart at boot = #{@enabled}"
    end
  end
end
